# AEC = Automotive Electronics Council

This is a council that formulates guidelines for [different aspects]( http://www.aecouncil.com/AECDocuments.html ) but mainly Qualification of Automotive Electronic Devices.

#### AEC-Q001: Guidelines for Part Average Testing (**PAT**)
- [AEC-Q001-Rev-D](AEC-Q001-Rev-D.pdf)

#### AEC-Q002: Guidelines for Statistical Yield Analysis
- [AEC-Q002-Rev-B1](AEC-Q002-Rev-B1.pdf)

#### AEC-Q003: Guidelines for Characterizing the Performance of IC's
- [AEC-Q003-Rev-A](AEC-Q003-Rev-A.pdf)

#### AEC-Q004: Zero Defects Guideline
- [AEC-Q004-Draft-2](AEC-Q004-Draft-2.pdf)

#### AEC-Q005: Pb-Free Test Requirements
- [AEC-Q005-Rev-A](AEC-Q005-Rev-A.pdf)

#### AEC-Q006: Qualification Requirements for Components using Copper (Cu) Wire Interconnects
- [AEC-Q006-Rev-A](AEC-Q006-Rev-A.pdf)

#### AEC-Q100: Failure Mechanism Based Stress Test Qualification for **Integrated Circuits**
- [AEC-Q100-Rev-H](AEC-Q100-Rev-H.pdf) : Base Document
- [AEC-Q100-001C-Rev-C](AEC-Q100-001C-Rev-C.pdf) : Wire Bond Shear Test
- [AEC-Q100-002-Rev-E](AEC-Q100-002-Rev-E.pdf) : Human Body Model (HBM) Electrostatic Discharge Test
- ~AEC-Q100-003-Rev-E : Machine Model (MM) Electrostatic Discharge Test~
- [AEC-Q100-004-Rev-D](AEC-Q100-004-Rev-D.pdf) : IC Latch-Up Test
- [AEC-Q100-005-Rev-D1](AEC-Q100-005-Rev-D1.pdf) : Non-Volatile Memory Program/Erase Endurance, Data Retention, and Operational Life Test
- ~AEC-Q100-006-Rev-D : Electro-Thermally Induced Parasitic Gate Leakage Test (GL)~
- [AEC-Q100-007-Rev-B](AEC-Q100-007-Rev-B.pdf) : Fault Simulation and Test Grading
- [AEC-Q100-008-Rev-A](AEC-Q100-008-Rev-A.pdf) : Early Life Failure Rate (ELFR)
- [AEC-Q100-009-Rev-B](AEC-Q100-009-Rev-B.pdf) : Electrical Distribution Assessment
- [AEC-Q100-010-Rev-A](AEC-Q100-010-Rev-A.pdf) : Solder Ball Shear Test
- [AEC-Q100-011-Rev-D](AEC-Q100-011-Rev-D.pdf) : Charged Device Model (CDM) Electrostatic Discharge Test
- [AEC-Q100-012-Rev-](AEC-Q100-012-Rev-.pdf) : Short Circuit Reliability Characterization of Smart Power Devices for 12V Systems

#### AEC-Q101: Failure Mechanism Based Stress Test Qualification for **Discrete** Semiconductors
- [AEC-Q101-Rev-D1](AEC-Q101-Rev-D1.pdf) : Base Document
- [AEC-Q101-001-Rev-A](AEC-Q101-001-Rev-A.pdf) : Human Body Model (HBM) Electrostatic Discharge Test
- ~AEC-Q101-002-Rev-A : Machine Model (MM) Electrostatic Discharge Test~
- [AEC-Q101-003-Rev-A](AEC-Q101-003-Rev-A.pdf) : Wire Bond Shear Test
- [AEC-Q101-004-Rev-](AEC-Q101-004-Rev-.pdf) : Miscellaneous Test Methods
- [AEC-Q101-005-Rev-A](AEC-Q101-005-Rev-A.pdf) : Charged Device Model (CDM) Electrostatic Discharge Test
- [AEC-Q101-006-Rev-](AEC-Q101-006-Rev-.pdf) : Short Circuit Reliability Characterization of Smart Power Devices for 12V Systems

#### AEC-Q102: Failure Mechanism Based Stress Test Qualification for **Discrete Optoelectronic** Semiconductors in Automotive Applications
- [AEC-Q102-Rev-](AEC-Q102-Rev-.pdf) : Failure Mechanism Based Stress Test Qualification for Discrete Optoelectronic Semiconductors in Automotive Applications

#### AEC-Q103: Failure Mechanism Based Stress Test Qualification for **Sensors** in Automotive Applications
- [AEC-Q103-002-Rev-](AEC-Q103-002-Rev-.pdf) : Failure Mechanism Based Stress Test Qualification for Micro Electro-Mechanical System (MEMS) Pressure Sensor Devices
- [AEC-Q103-003-Rev-](AEC-Q103-003-Rev-.pdf) : Failure Mechanism Based Stress Test Qualification for MEMS Microphone Devices

#### AEC-Q104: Failure Mechanism Based Stress Test Qualification for **Multichip Modules (MCM)** In Automotive Applications
- [AEC-Q104-Rev-](AEC-Q104-Rev-.pdf) : Failure Mechanism Based Stress Test Qualification For Multichip Modules (MCM) In Automotive Applications

#### AEC-Q200: Stress Test Qualification for **Passive Components**
- [AEC-Q200-Rev-D](AEC-Q200-Rev-D.pdf) : Base Document
- [AEC-Q200-001-Rev-B](AEC-Q200-001-Rev-B.pdf) : Flame Retardance Test
- [AEC-Q200-002-Rev-B](AEC-Q200-002-Rev-B.pdf) : Human Body Model (HBM) Electrostatic Discharge Test
- [AEC-Q200-003-Rev-B](AEC-Q200-003-Rev-B.pdf) : Beam Load (Break Strength) Test
- [AEC-Q200-004-Rev-A](AEC-Q200-004-Rev-A.pdf) : Measurement Procedures for Resettable Fuses
- [AEC-Q200-005-Rev-A](AEC-Q200-005-Rev-A.pdf) : Board Flex / Terminal Bond Strength Test
- [AEC-Q200-006-Rev-A](AEC-Q200-006-Rev-A.pdf) : Terminal Strength (SMD) / Shear Stress Test
- [AEC-Q200-007-Rev-A](AEC-Q200-007-Rev-A.pdf) : Voltage Surge Test
